Name:       python-quantumclient
Epoch:      2
Version:    2.2.1
Release:    2%{?dist}
Summary:    Python API and CLI for OpenStack Quantum

Group:      Development/Languages
License:    ASL 2.0
URL:        http://launchpad.net/python-quantumclient/
BuildArch:  noarch

Source0:    http://tarballs.openstack.org/python-quantumclient/python-quantumclient-%{version}.tar.gz

#
# patches_base = 2.2.1
#

Requires:   pyparsing >= 1.5.6
Requires:   pyparsing < 2.0
Requires:   python-cliff >= 1.2.1
Requires:   python-httplib2
Requires:   python-iso8601
Requires:   python-prettytable >= 0.6
Requires:   python-setuptools
Requires:   python-simplejson

BuildRequires: python2-devel
BuildRequires: python-setuptools

%description
Client library and command line utility for interacting with OpenStack
Quantum's API.

%prep
%setup -q -n %{name}-%{version}

# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Install other needed files
# rhbz 888939#c7: bash-completion is not in RHEL
install -p -D -m 644 tools/quantum.bash_completion %{buildroot}%{_sysconfdir}/profile.d/quantum.sh

# Remove unused files
rm -rf %{buildroot}%{python_sitelib}/quantumclient/tests

%files
%doc LICENSE
%doc README
%{_bindir}/quantum
%{python_sitelib}/quantumclient
%{python_sitelib}/*.egg-info
%{_sysconfdir}/profile.d/quantum.sh


%changelog
* Mon Apr 29 2013 Pádraig Brady <pbrady@redhat.com> - 2:2.2.1-2
- Update to 2.2.1 release

* Wed Mar 20 2013 Jakub Ruzicka <jruzicka@redhat.com> - 2:2.1-1
- Update to 2.1 (versioning change).
- Use pypi sources instead of tarballs.openstack.org.
- Bump epoch to to reflect the versioning change.
- Remove required cliff version change in pip-requires as 1.3 is now available
  in epel.
- Update requirements to match pip-requires.
- Fix description.

* Mon Dec 3 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.10-1
- Update to 2.1.10
- Add pyparsing dependency
- Deal with hash in tarball name
- Install /etc/bash_completion.d/quantum.bash_completion

* Mon Sep 24 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.1-0
- Update to 2.1.1

* Wed May 02 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-3
- Depend on parallel installed version of python-paste-deploy

* Fri Apr 13 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-2
- adjust to support EPEL

* Mon Apr  9 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-1
- Update to essex final release

* Thu Apr  5 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.5.rc2
- Update to essex rc2 milestone
- Exclude tests

* Wed Mar 21 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.4.rc1
- Update to official essex rc1 milestone
- Include LICENSE file

* Mon Mar 19 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.3.e4
- Update to essex RC1

* Thu Mar  1 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.2.e4
- Update to essex milestone 4

* Thu Jan 26 2012 Cole Robinson <crobinso@redhat.com> - 2012.1-0.1.e3
- Initial package
